Collections

collections_get

  • Get the items that are members

  • identifier must be url encoded

Endpoint

GET /api/v1.5/collections/<uuid>/

Response

{
  "uuid": "<uuid>",  "identifier": "identifier-123",
  "name": "test",
  "collection_type": "order",
  "added_on": "2021-02-10T05:35:04.607692Z",
  "is_public": true,
  "is_removed": false,
  "removed_on": null,
  "sub_type": "",
  "items": [
    {
      "lucid_id": "<uuid>",
      "added_on": "2021-02-10T05:35:04.614987Z",
      "removed_on": null,
      "removed_by_company_uuid": null
    },
    {
      "lucid_id": "<uuid>",
      "added_on": "2021-02-10T05:35:04.616897Z",
      "removed_on": null,
      "removed_by_company_uuid": null
    },
    {
      "lucid_id": "<uuid>",
      "added_on": "2021-02-10T06:11:19.527982Z",
      "removed_on": null,
      "removed_by_company_uuid": null
    }
  ],
  "removed_items": [
    {
      "lucid_id": "<uuid>",
      "added_on": "2021-02-10T05:35:04.614987Z",
      "removed_on": "2021-02-20T05:35:04.614987Z",
      "removed_by_company_uuid": "<uuid>"
    }
  ]
}

Response Fields

Field

Type

Description

uuid

uuid

Unique identifier for the collection

identifier

string

Human-readable collection identifier

name

string

Collection name

collection_type

string

Type: “order”, “case”, “regulator”, “origin”, etc.

added_on

datetime

When the collection was created

is_public

boolean

Whether the collection is publicly visible

is_removed

boolean

Whether the collection has been removed

removed_on

datetime or null

When the collection was removed

sub_type

string

Collection sub-type

items

array

LucidIDs in this collection

removed_items

array

LucidIDs removed from this collection

Item Fields

Field

Type

Description

lucid_id

uuid

LucidID identifier

added_on

datetime

When the item was added

removed_on

datetime or null

When the item was removed

removed_by_company_uuid

uuid or null

Company that removed the item

case_get

  • Retrieves the full record for a Collection of collection_type=case, including all related information, in a self-contained data structure.

Note

The cases list and regulator_ids lists present entries in chronological order.

Endpoint

GET /api/v1.5/collections/case/<uuid>/

Response

{
  "uuid": "<uuid>",
  "identifier": "identifier-123",
  "name": "test",
  "added_on": "2021-02-10T05:35:04.607692Z",
  "brands": [
    {
      "uuid": "<uuid>", 
      "name": "Test Brand", 
      "company": "Test Company", 
      "slug": "test-brand",
      "description":  "<description>", 
      "website": "<url>", 
      "updated_on": "2021-02-10T05:35:04.607692Z",
      "state":  "<state>",
      "country":  "<country>",
      "images": {
        "thumbnail": {
            "name": "",
            "url": "<url>",
            "mime_type": "image/jpeg",
            "size_bytes": 8919.0,
            "updated_on": "2020-06-18T07:59:08.886941Z"
        },
        "primary": {
            "name": "",
            "url": "<url>",
            "mime_type": "image/jpeg",
            "size_bytes": 8919.0,
            "updated_on": "2020-06-18T07:59:08.821675Z"
        },
        "banner": {
            "name": "",
            "url": "<url>",
            "mime_type": "image/jpeg",
            "size_bytes": 13867.0,
            "updated_on": "2020-06-18T07:59:08.932368Z"
        }
      },
      "brand_video": {
        "name": "",
        "url": "<url>",
        "mime_type": "",
        "size_bytes": "",
        "updated_on": "2021-02-10T05:35:04.607692Z",
        "uploaded_by": "",
        "description": "",
        "length_in_minutes": "",
        "video_source_link": "<url>"
      }
    }
  ],
  "products": [
    {
      "uuid": "<uuid>",
      "sku": "",
      "description": "",
      "name": "",
      "published_on": "2021-02-10T05:35:04.607692Z",
      "available_on": "2021-02-10T05:35:04.607692Z",
      "discontinued_on": "2021-02-10T05:35:04.607692Z",
      "product_type": "",
      "usage": "",
      "variety": "",
      "strain": "",
      "product_line": "",
      "package_size": {
        "name": "",
        "value": "",
        "unit": ""
      },
      "upc": "",
      "servings": "",
      "serving_size": "",
      "total_thc": {
        "name": "",
        "value": "",
        "unit": ""
      },
      "total_cbd": {
        "name": "",
        "value": "",
        "unit": ""
      },
      "thc_cbd_ratio": "",
      "tests_description": "",
      "updated_on": "2021-02-10T05:35:04.607692Z",
      "dosages": [
        {
          "name": "",
          "quantity": 1.0,
          "quantity_unit": "",
          "serving_size": 1.0,
          "serving_size_unit": "",
          "thc": 1.0,
          "thc_unit": "",
          "cbd": 1.0,
          "cbd_unit": ""
        },
        {
          "name": "",
          "quantity": 2.0,
          "quantity_unit": "",
          "serving_size": 2.0,
          "serving_size_unit": "",
          "thc": 2.0,
          "thc_unit": "",
          "cbd": 2.0,
          "cbd_unit": ""
        }
      ],
      "about_ingredients": "",
      "special_diet": "",
      "allergen": "",
      "testing_methodology": "",
      "usage_recommendation": "",
      "ingredients": [
        {"name": "ingredient1"},
        {"name": "ingredient2"},
        {"name": "ingredient3"}
      ],
      "documents": [
        {
          "name": "",
          "url": "<url>",
          "mime_type": "",
          "size_bytes": "",
          "updated_on": "2021-02-10T05:35:04.607692Z",
          "uploaded_by": ""
        }
      ],
      "videos": [
        {
          "name": "",
          "url": "<url>",
          "mime_type": "",
          "size_bytes": "",
          "updated_on": "2021-02-10T05:35:04.607692Z",
          "uploaded_by": ""
        }
      ],
      "images": {
        "thumbnail": {
          "name": "",
          "url": "<url>",
          "mime_type": "",
          "size_bytes": "",
          "updated_on": "2021-02-10T05:35:04.607692Z",
          "uploaded_by": ""
        },
        "primary": {
          "name": "",
          "url": "<url>",
          "mime_type": "",
          "size_bytes": "",
          "updated_on": "2021-02-10T05:35:04.607692Z",
          "uploaded_by": ""
        },
        "banner": {
          "name": "",
          "url": "<url>",
          "mime_type": "",
          "size_bytes": "",
          "updated_on": "2021-02-10T05:35:04.607692Z",
          "uploaded_by": ""
        },
        "supplemental": [
          {
            "name": "",
            "url": "<url>",
            "mime_type": "",
            "size_bytes": "",
            "updated_on": "2021-02-10T05:35:04.607692Z",
            "uploaded_by": ""
          },
          {
            "name": "",
            "url": "<url>",
            "mime_type": "",
            "size_bytes": "",
            "updated_on": "2021-02-10T05:35:04.607692Z",
            "uploaded_by": ""
          }
        ]
      },
      "barcode": "",
      "brand_uuid": "<uuid>",
      "added_on": "2021-02-10T05:35:04.607692Z",
      "shelf_life": {
        "value": "",
        "unit": ""
      },
      "positive_effects": [
        "Positive Effect 1",
        "Positive Effect 2"
      ],
      "negative_effects": [
        "Negative Effect 1",
        "Negative Effect 2"
      ],
      "medical_uses": [
        "Medical Use 1",
        "Medical Use 2"
      ]
    }
  ],
  "batches": [
    {
      "uuid": "<uuid>",
      "name": "",
      "regulatory_id": "",
      "produced_on": "2021-02-10T05:35:04.607692Z",
      "brand_uuid": "<uuid>",
      "updated_on": "2021-02-10T05:35:04.607692Z"
    },
    {
      "uuid": "<uuid>",
      "name": "",
      "regulatory_id": "",
      "produced_on": "2021-02-10T05:35:04.607692Z",
      "brand_uuid": "<uuid>",
      "updated_on": "2021-02-10T05:35:04.607692Z"
    }
  ],
  "digital_coas": [
    {
      "uuid": "<uuid>",
      "batch_uuid": "<uuid>",
      "testing_laboratory": {
          "uuid": "<uuid>",
          "name": "",
          "logo_url": "<url>",
          "street_address_1": "",
          "street_address_2": "",
          "city": "",
          "state": "",
          "postal_code": ""
      },
      "sample_regulator_id": "",
      "batch_regulatory_id": "",
      "sample_received_on": "2021-02-10T05:35:04.607692Z",
      "report_created_on": "2021-02-10T05:35:04.607692Z",
      "report_expires_on": "2021-02-10T05:35:04.607692Z",
      "certificate_url": "<url>",
      "certificate_source_url": "<url>",
      "totals": {
          "total_active_cannabinoids": {
              "name": "Total active cannabinoids",
              "value": "1.5000",
              "unit": "mg"
          },
          "total_potential_thc": {
              "name": "Total potential THC",
              "value": null,
              "unit": ""
          },
          "total_thc": {
              "name": "Total THC",
              "value": "1.5000",
              "unit": "%"
          },
          "total_potential_cbd": {
              "name": "Total potential CBD",
              "value": null,
              "unit": ""
          },
          "total_cbd": {
              "name": "Total CBD",
              "value": null,
              "unit": ""
          },
          "total_terpenes": {
              "name": "Total terpenes",
              "value": "1.5000",
              "unit": "mg/g"
          }
      },
      "tests_performed": {
          "cannabinoid_potency_tests": "pass",
          "filth_and_foreign_material_tests": "not_tested",
          "heavy_metals_tests": "pass",
          "homogeneity_tests": "not_tested",
          "microbials_tests": "pass",
          "moisture_content_tests": "not_tested",
          "mycotoxins_tests": "not_tested",
          "pesticides_tests": "pass",
          "residual_solvents_tests": "pass",
          "terpene_profiling_tests": "pass",
          "water_activity_tests": "not_tested",
          "ph_tests": "not_tested",
          "chemical_residue_tests": "not_tested"
      },
      "sample_tested_on": "2020-05-12",
      "certificate_received_on": "2020-05-12",
      "entered_on": "2020-05-31T08:30:33.874053-07:00",
      "tests_cannabinoids": {
        "<tested_compound_1>": {
            "name": "<compound_name>",
            "value": "<test_value>",
            "unit": "<unit>"
        },
        "<tested_compound_2>": {
            "name": "<compound_name>",
            "value": "<test_value>",
            "unit": "<unit>"
        }
      },
      "tests_terpenes": {
        "<tested_compound_1>": {
            "name": "<compound_name>",
            "value": "<test_value>",
            "unit": "<unit>"
        },
        "<tested_compound_2>": {
            "name": "<compound_name>",
            "value": "<test_value>",
            "unit": "<unit>"
        }
      },
      "tests_residual_solvents": {
        "<tested_compound_1>": {
            "name": "<compound_name>",
            "value": "<test_value>",
            "unit": "<unit>"
        },
        "<tested_compound_2>": {
            "name": "<compound_name>",
            "value": "<test_value>",
            "unit": "<unit>"
        }
      },
      "tests_pesticides": {
        "<tested_compound_1>": {
            "name": "<compound_name>",
            "value": "<test_value>",
            "unit": "<unit>"
        },
        "<tested_compound_2>": {
            "name": "<compound_name>",
            "value": "<test_value>",
            "unit": "<unit>"
        }
      },
      "tests_heavy_metals": {
        "<tested_compound_1>": {
            "name": "<compound_name>",
            "value": "<test_value>",
            "unit": "<unit>"
        },
        "<tested_compound_2>": {
            "name": "<compound_name>",
            "value": "<test_value>",
            "unit": "<unit>"
        }
      },
      "tests_mycotoxins": {
        "<tested_compound_1>": {
            "name": "<compound_name>",
            "value": "<test_value>",
            "unit": "<unit>"
        },
        "<tested_compound_2>": {
            "name": "<compound_name>",
            "value": "<test_value>",
            "unit": "<unit>"
        }
      },
      "tests_microbials": {
        "<tested_compound_1>": {
            "name": "<compound_name>",
            "value": "<test_value>",
            "unit": "<unit>"
        },
        "<tested_compound_2>": {
            "name": "<compound_name>",
            "value": "<test_value>",
            "unit": "<unit>"
        }
      },
      "tests_filth_and_foreign_material": {
        "<tested_compound_1>": {
            "name": "<compound_name>",
            "value": "<test_value>",
            "unit": "<unit>"
        },
        "<tested_compound_2>": {
            "name": "<compound_name>",
            "value": "<test_value>",
            "unit": "<unit>"
        }
      },
      "tests_moisture_content": {
        "<tested_compound_1>": {
            "name": "<compound_name>",
            "value": "<test_value>",
            "unit": "<unit>"
        },
        "<tested_compound_2>": {
            "name": "<compound_name>",
            "value": "<test_value>",
            "unit": "<unit>"
        }
      },
      "tests_water_activity": {
        "<tested_compound_1>": {
            "name": "<compound_name>",
            "value": "<test_value>",
            "unit": "<unit>"
        },
        "<tested_compound_2>": {
            "name": "<compound_name>",
            "value": "<test_value>",
            "unit": "<unit>"
        }
      },
      "tests_ph": {
        "<tested_compound_1>": {
            "name": "<compound_name>",
            "value": "<test_value>",
            "unit": "<unit>"
        },
        "<tested_compound_2>": {
            "name": "<compound_name>",
            "value": "<test_value>",
            "unit": "<unit>"
        }
      },
      "tests_homogeneity": {
        "<tested_compound_1>": {
            "name": "<compound_name>",
            "value": "<test_value>",
            "unit": "<unit>"
        },
        "<tested_compound_2>": {
            "name": "<compound_name>",
            "value": "<test_value>",
            "unit": "<unit>"
        }
      },
      "tests_density": {
        "<tested_compound_1>": {
            "name": "<compound_name>",
            "value": "<test_value>",
            "unit": "<unit>"
        },
        "<tested_compound_2>": {
            "name": "<compound_name>",
            "value": "<test_value>",
            "unit": "<unit>"
        }
      }
    }
  ],
  "testing_laboratories": [
     {
      "uuid": "<uuid>",
      "name": "",
      "logo_url": "<url>",
      "street_address_1": "",
      "street_address_2": "",
      "city": "",
      "state": "",
      "postal_code": ""
    }
  ],
  "cases": [
    {
      "uuid": "<uuid>",
      "identifier": "",
      "name": "",
      "collection_type": "case",
      "added_on": "2022-02-10T16:19:43.605901Z"
    }
  ],
  "regulator_ids": [
    {
      "uuid": "<uuid>",
      "identifier": "",
      "name": "",
      "collection_type": "regulator",
      "added_on": "2022-02-10T16:19:43.605901Z"
    }
  ],
  "items": [
    {
      "lucid_id": "<uuid>",
      "brand_uuid": "<uuid>",
      "product_uuid": "<uuid>",
      "batch_uuid": "<uuid>",
      "regulator_id_uuids": [
        "<uuid>",
        "<uuid>"
      ],
      "cases_uuids": [
        "<uuid>",
        "<uuid>"
      ]
    },
    {
      "lucid_id": "<uuid>",
      "brand_uuid": "<uuid>",
      "product_uuid": "<uuid>",
      "batch_uuid": "<uuid>",
      "regulator_id_uuids": [
        "<uuid>",
        "<uuid>"
      ],
      "cases_uuids": [
        "<uuid>",
        "<uuid>"
      ]
    }
  ]
}

container_get

  • Retrieves the full record for a container, including all related information, in a self-contained data structure.

Endpoint

GET /api/v1.5/collections/container/<uuid>/

Response

{
  "uuid": "<uuid>",
  "identifier": "identifier-123",
  "name": "test",
  "added_on": "2021-02-10T05:35:04.607692Z",
  "brands": [
    {
      "uuid": "<uuid>", 
      "name": "Test Brand", 
      "company": "Test Company", 
      "slug": "test-brand",
      "description":  "<description>", 
      "website": "<url>", 
      "updated_on": "2021-02-10T05:35:04.607692Z",
      "state":  "<state>",
      "country":  "<country>",
      "images": {
        "thumbnail": {
            "name": "",
            "url": "<url>",
            "mime_type": "image/jpeg",
            "size_bytes": 8919.0,
            "updated_on": "2020-06-18T07:59:08.886941Z"
        },
        "primary": {
            "name": "",
            "url": "<url>",
            "mime_type": "image/jpeg",
            "size_bytes": 8919.0,
            "updated_on": "2020-06-18T07:59:08.821675Z"
        },
        "banner": {
            "name": "",
            "url": "<url>",
            "mime_type": "image/jpeg",
            "size_bytes": 13867.0,
            "updated_on": "2020-06-18T07:59:08.932368Z"
        }
      },
      "brand_video": {
        "name": "",
        "url": "<url>",
        "mime_type": "",
        "size_bytes": "",
        "updated_on": "2021-02-10T05:35:04.607692Z",
        "uploaded_by": "",
        "description": "",
        "length_in_minutes": "",
        "video_source_link": "<url>"
      }
    }
  ],
  "products": [
    {
      "uuid": "<uuid>",
      "sku": "",
      "description": "",
      "name": "",
      "published_on": "2021-02-10T05:35:04.607692Z",
      "available_on": "2021-02-10T05:35:04.607692Z",
      "discontinued_on": "2021-02-10T05:35:04.607692Z",
      "product_type": "",
      "usage": "",
      "variety": "",
      "strain": "",
      "product_line": "",
      "package_size": {
        "name": "",
        "value": "",
        "unit": ""
      },
      "upc": "",
      "servings": "",
      "serving_size": "",
      "total_thc": {
        "name": "",
        "value": "",
        "unit": ""
      },
      "total_cbd": {
        "name": "",
        "value": "",
        "unit": ""
      },
      "thc_cbd_ratio": "",
      "tests_description": "",
      "updated_on": "2021-02-10T05:35:04.607692Z",
      "dosages": [
        {
          "name": "",
          "quantity": 1.0,
          "quantity_unit": "",
          "serving_size": 1.0,
          "serving_size_unit": "",
          "thc": 1.0,
          "thc_unit": "",
          "cbd": 1.0,
          "cbd_unit": ""
        },
        {
          "name": "",
          "quantity": 2.0,
          "quantity_unit": "",
          "serving_size": 2.0,
          "serving_size_unit": "",
          "thc": 2.0,
          "thc_unit": "",
          "cbd": 2.0,
          "cbd_unit": ""
        }
      ],
      "about_ingredients": "",
      "special_diet": "",
      "allergen": "",
      "testing_methodology": "",
      "usage_recommendation": "",
      "ingredients": [
        {"name": "ingredient1"},
        {"name": "ingredient2"},
        {"name": "ingredient3"}
      ],
      "documents": [
        {
          "name": "",
          "url": "<url>",
          "mime_type": "",
          "size_bytes": "",
          "updated_on": "2021-02-10T05:35:04.607692Z",
          "uploaded_by": ""
        }
      ],
      "videos": [
        {
          "name": "",
          "url": "<url>",
          "mime_type": "",
          "size_bytes": "",
          "updated_on": "2021-02-10T05:35:04.607692Z",
          "uploaded_by": ""
        }
      ],
      "images": {
        "thumbnail": {
          "name": "",
          "url": "<url>",
          "mime_type": "",
          "size_bytes": "",
          "updated_on": "2021-02-10T05:35:04.607692Z",
          "uploaded_by": ""
        },
        "primary": {
          "name": "",
          "url": "<url>",
          "mime_type": "",
          "size_bytes": "",
          "updated_on": "2021-02-10T05:35:04.607692Z",
          "uploaded_by": ""
        },
        "banner": {
          "name": "",
          "url": "<url>",
          "mime_type": "",
          "size_bytes": "",
          "updated_on": "2021-02-10T05:35:04.607692Z",
          "uploaded_by": ""
        },
        "supplemental": [
          {
            "name": "",
            "url": "<url>",
            "mime_type": "",
            "size_bytes": "",
            "updated_on": "2021-02-10T05:35:04.607692Z",
            "uploaded_by": ""
          },
          {
            "name": "",
            "url": "<url>",
            "mime_type": "",
            "size_bytes": "",
            "updated_on": "2021-02-10T05:35:04.607692Z",
            "uploaded_by": ""
          }
        ]
      },
      "barcode": "",
      "brand_uuid": "<uuid>",
      "added_on": "2021-02-10T05:35:04.607692Z",
      "shelf_life": {
        "value": "",
        "unit": ""
      },
      "positive_effects": [
        "Positive Effect 1",
        "Positive Effect 2"
      ],
      "negative_effects": [
        "Negative Effect 1",
        "Negative Effect 2"
      ],
      "medical_uses": [
        "Medical Use 1",
        "Medical Use 2"
      ]
    }
  ],
  "batches": [
    {
      "uuid": "<uuid>",
      "name": "",
      "regulatory_id": "",
      "produced_on": "2021-02-10T05:35:04.607692Z",
      "brand_uuid": "<uuid>",
      "updated_on": "2021-02-10T05:35:04.607692Z",
      "digital_coas": [
        {
          "uuid": "<uuid>",
          "batch_uuid": "<uuid>",
          "testing_laboratory_uuid": "<uuid>",
          "sample_regulator_id": "",
          "batch_regulatory_id": "",
          "sample_received_on": "2021-02-10T05:35:04.607692Z",
          "report_created_on": "2021-02-10T05:35:04.607692Z",
          "report_expires_on": "2021-02-10T05:35:04.607692Z",
          "certificate_url": "<url>",
          "certificate_source_url": "<url>",
          "totals": {
              "total_active_cannabinoids": {
                  "name": "Total active cannabinoids",
                  "value": "1.5000",
                  "unit": "mg"
              },
              "total_potential_thc": {
                  "name": "Total potential THC",
                  "value": null,
                  "unit": ""
              },
              "total_thc": {
                  "name": "Total THC",
                  "value": "1.5000",
                  "unit": "%"
              },
              "total_potential_cbd": {
                  "name": "Total potential CBD",
                  "value": null,
                  "unit": ""
              },
              "total_cbd": {
                  "name": "Total CBD",
                  "value": null,
                  "unit": ""
              },
              "total_terpenes": {
                  "name": "Total terpenes",
                  "value": "1.5000",
                  "unit": "mg/g"
              }
          },
          "tests_performed": {
              "cannabinoid_potency_tests": "pass",
              "filth_and_foreign_material_tests": "not_tested",
              "heavy_metals_tests": "pass",
              "homogeneity_tests": "not_tested",
              "microbials_tests": "pass",
              "moisture_content_tests": "not_tested",
              "mycotoxins_tests": "not_tested",
              "pesticides_tests": "pass",
              "residual_solvents_tests": "pass",
              "terpene_profiling_tests": "pass",
              "water_activity_tests": "not_tested",
              "ph_tests": "not_tested",
              "chemical_residue_tests": "not_tested"
          },
          "sample_tested_on": "2020-05-12",
          "certificate_received_on": "2020-05-12",
          "entered_on": "2020-05-31T08:30:33.874053-07:00",
          "tests_cannabinoids": {
            "<tested_compound_1>": {
                "name": "<compound_name>",
                "value": "<test_value>",
                "unit": "<unit>"
            },
            "<tested_compound_2>": {
                "name": "<compound_name>",
                "value": "<test_value>",
                "unit": "<unit>"
            }
          },
          "tests_terpenes": {
            "<tested_compound_1>": {
                "name": "<compound_name>",
                "value": "<test_value>",
                "unit": "<unit>"
            },
            "<tested_compound_2>": {
                "name": "<compound_name>",
                "value": "<test_value>",
                "unit": "<unit>"
            }
          },
          "tests_residual_solvents": {
            "<tested_compound_1>": {
                "name": "<compound_name>",
                "value": "<test_value>",
                "unit": "<unit>"
            },
            "<tested_compound_2>": {
                "name": "<compound_name>",
                "value": "<test_value>",
                "unit": "<unit>"
            }
          },
          "tests_pesticides": {
            "<tested_compound_1>": {
                "name": "<compound_name>",
                "value": "<test_value>",
                "unit": "<unit>"
            },
            "<tested_compound_2>": {
                "name": "<compound_name>",
                "value": "<test_value>",
                "unit": "<unit>"
            }
          },
          "tests_heavy_metals": {
            "<tested_compound_1>": {
                "name": "<compound_name>",
                "value": "<test_value>",
                "unit": "<unit>"
            },
            "<tested_compound_2>": {
                "name": "<compound_name>",
                "value": "<test_value>",
                "unit": "<unit>"
            }
          },
          "tests_mycotoxins": {
            "<tested_compound_1>": {
                "name": "<compound_name>",
                "value": "<test_value>",
                "unit": "<unit>"
            },
            "<tested_compound_2>": {
                "name": "<compound_name>",
                "value": "<test_value>",
                "unit": "<unit>"
            }
          },
          "tests_microbials": {
            "<tested_compound_1>": {
                "name": "<compound_name>",
                "value": "<test_value>",
                "unit": "<unit>"
            },
            "<tested_compound_2>": {
                "name": "<compound_name>",
                "value": "<test_value>",
                "unit": "<unit>"
            }
          },
          "tests_filth_and_foreign_material": {
            "<tested_compound_1>": {
                "name": "<compound_name>",
                "value": "<test_value>",
                "unit": "<unit>"
            },
            "<tested_compound_2>": {
                "name": "<compound_name>",
                "value": "<test_value>",
                "unit": "<unit>"
            }
          },
          "tests_moisture_content": {
            "<tested_compound_1>": {
                "name": "<compound_name>",
                "value": "<test_value>",
                "unit": "<unit>"
            },
            "<tested_compound_2>": {
                "name": "<compound_name>",
                "value": "<test_value>",
                "unit": "<unit>"
            }
          },
          "tests_water_activity": {
            "<tested_compound_1>": {
                "name": "<compound_name>",
                "value": "<test_value>",
                "unit": "<unit>"
            },
            "<tested_compound_2>": {
                "name": "<compound_name>",
                "value": "<test_value>",
                "unit": "<unit>"
            }
          },
          "tests_ph": {
            "<tested_compound_1>": {
                "name": "<compound_name>",
                "value": "<test_value>",
                "unit": "<unit>"
            },
            "<tested_compound_2>": {
                "name": "<compound_name>",
                "value": "<test_value>",
                "unit": "<unit>"
            }
          },
          "tests_homogeneity": {
            "<tested_compound_1>": {
                "name": "<compound_name>",
                "value": "<test_value>",
                "unit": "<unit>"
            },
            "<tested_compound_2>": {
                "name": "<compound_name>",
                "value": "<test_value>",
                "unit": "<unit>"
            }
          },
          "tests_density": {
            "<tested_compound_1>": {
                "name": "<compound_name>",
                "value": "<test_value>",
                "unit": "<unit>"
            },
            "<tested_compound_2>": {
                "name": "<compound_name>",
                "value": "<test_value>",
                "unit": "<unit>"
            }
          }
        }
      ],
       "testing_laboratories": [
         {
          "uuid": "<uuid>",
          "name": "",
          "logo_url": "<url>",
          "street_address_1": "",
          "street_address_2": "",
          "city": "",
          "state": "",
          "postal_code": ""
        }
      ]
    }
  ],
  "containers": [
    {
      "uuid": "<uuid>",
      "identifier": "",
      "name": "",
      "collection_type": "",
      "added_on": "2022-02-10T16:19:43.605901Z"
    }
  ],
  "regulator_ids": [
    {
      "uuid": "<uuid>",
      "identifier": "",
      "name": "",
      "collection_type": "regulator",
      "added_on": "2022-02-10T16:19:43.605901Z"
    }
  ],
  "items": [
    {
      "lucid_id": "<uuid>",
      "brand_uuid": "<uuid>",
      "product_uuid": "<uuid>",
      "batch_uuid": "<uuid>",
      "regulator_id_uuids": [
        "<uuid>",
        "<uuid>"
      ],
      "containers_uuids": [
        "<uuid>",
        "<uuid>"
      ]
    },
    {
      "lucid_id": "<uuid>",
      "brand_uuid": "<uuid>",
      "product_uuid": "<uuid>",
      "batch_uuid": "<uuid>",
      "regulator_id_uuids": [
        "<uuid>",
        "<uuid>"
      ],
      "containers_uuids": [
        "<uuid>",
        "<uuid>"
      ]
    }
  ]
}

case_add_items

  • adds additional LucidID members to a CaseID

  • LucidIDs must already exist

Endpoint

POST /api/v1.5/collections/case/<uuid>/add-items/

Example Payload

[
    "<uuid>",
    "<uuid>",
    "<uuid>"
]

Response

{
    "uuid": "<uuuid>",
    "identifier": "identifier-123",
    "name": "test",
    "collection_type": "order",
    "added_on": "2021-02-10T05:35:04.607692Z",
    "is_public": false,
    "items": [
        {
            "lucid_id": "<uuuid>",
            "added_on": "2021-02-10T05:35:04.614987Z",
            "removed_on": null,
            "removed_by_company_uuid": null
        },
        {
            "lucid_id": "<uuuid>",
            "added_on": "2021-02-10T05:35:04.616897Z",
            "removed_on": null,
            "removed_by_company_uuid": null
        },
        {
            "lucid_id": "<uuuid>",
            "added_on": "2021-02-10T06:11:19.527982Z",
            "removed_on": null,
            "removed_by_company_uuid": null
        }
    ]
}

regulator_add_case

  • Associate Regulator UID to CaseID

  • CaseID must already exist

Fields

  • case_uuid (required)

  • packaged_product_uuid (required if the CaseID has multiple packaged products)

    • CaseID must contain the passed packaged product

Endpoint

POST /api/v1.5/collections/regulator/<identifier>/add-case/

Example Payload

{
    "case_uuid":  "<uuid>",
    "packaged_product_uuid": "<uuid>"
}

Response

{
    "uuid": "<uuuid>",
    "identifier": "identifier-123",
    "name": "test",
    "collection_type": "order",
    "added_on": "2021-02-10T05:35:04.607692Z",
    "is_public": false,
    "items": [
        {
            "lucid_id": "<uuuid>",
            "added_on": "2021-02-10T05:35:04.614987Z",
            "removed_on": null,
            "removed_by_company_uuid": null
        },
        {
            "lucid_id": "<uuuid>",
            "added_on": "2021-02-10T05:35:04.616897Z",
            "removed_on": null,
            "removed_by_company_uuid": null
        },
        {
            "lucid_id": "<uuuid>",
            "added_on": "2021-02-10T06:11:19.527982Z",
            "removed_on": null,
            "removed_by_company_uuid": null
        }
    ]
}

collections_remove

Removes a collection, including removing it from all LucidIDs.

  • collection must exist

  • collection must belong to the same company that is removing it

  • collection cannot be of type “origin”

Endpoint

DELETE /api/v1.5/collections/<uuid>/remove/

Response

204 * removal was successful

404 * collection not found

400 * collection is of type “origin”

collections_restore

  • restores a removed collection, including adding it back to all LucidIDs it previously contained

  • collection must exist

  • collection must belong to the same company that that is restoring it

  • collection cannot be of type “origin”

Endpoint

PUT /api/v1.5/collections/<identifier>/restore/

Response

200 * collection was successfully restored

404 * collection not found

400 * collection is of type “origin”

removed_collections

  • Lists all collections that were removed and that belongs to the same company of the requesting user

Endpoint

GET /api/v1.5/removed-collections/ GET /api/v1.5/removed-collections/<collection_type>/

Response

[
    {
        "added_on": "2021-11-02T02:41:44.268916Z",
        "collection_type": "",
        "company_uuid": "<uuid>",
        "identifier": "<uuid>",
        "is_public": true,
        "is_removed": true,
        "lucid_ids_count": 10,
        "name": "",
        "removed_on": "2021-11-02T02:42:03.399336Z",
        "uuid": "<uuid>"
    }
]

collections_item_remove

  • removes a LucidID from collection

  • collection must exist

  • LucidID must exist

  • collection must belong to the same company that is removing a LucidID from it

Endpoint

DELETE /api/v1.5/collections/<collection_uuid>/lucid-ids/<lucidid_uuid>/remove/

Response

204

collections_item_restore

Restores a LucidID into a collection

  • collection must exist

  • LucidID must exist

  • collection must belong to the same company that is removing a LucidID from it

  • LucidID must have previously been a member of the specified collection

Endpoint

GET /api/v1.5/collections/<collection_uuid>/lucid-ids/<lucidid_uuid>/restore/

Response

200

collections_items_removed

Lists all removed LucidIDs that have been removed from a collection

  • collection must exist

Endpoint

GET /api/v1.5/collections/<uuid>/removed-lucid-ids/

Response

[
    {
      "lucid_id": "<uuid>",
      "brand_uuid": "<uuid>",
      "product_uuid": "<uuid>",
      "batch_uuid": "<uuid>",
      "regulator_id_uuids": [
        "<uuid>",
        "<uuid>"
      ],
      "cases_uuids": [
        "<uuid>",
        "<uuid>"
      ]
    }
]